## org.eclipse.jst.jsf.facesconfig.emf.util
Class FacesConfigAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.jst.jsf.facesconfig.emf.util.FacesConfigAdapterFactory

Direct Known Subclasses:
  FacesConfigItemProviderAdapterFactory

    public class FacesConfigAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `FacesConfigPackage`

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`FacesConfigAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAbsoluteOrderingTypeAdapter()` Creates a new adapter for an object of class '`Absolute Ordering Type`'
`Adapter` `createActionListenerTypeAdapter()` Creates a new adapter for an object of class '`Action Listener Type`'
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createApplicationExtensionTypeAdapter()` Creates a new adapter for an object of class '`Application Extension Type`'
`Adapter` `createApplicationFactoryTypeAdapter()` Creates a new adapter for an object of class '`Application Factory Type`'
`Adapter` `createApplicationTypeAdapter()` Creates a new adapter for an object of class '`Application Type`'
`Adapter` `createAttributeClassTypeAdapter()` Creates a new adapter for an object of class '`Attribute Class Type`'
`Adapter` `createAttributeExtensionTypeAdapter()` Creates a new adapter for an object of class '`Attribute Extension Type`'
`Adapter` `createAttributeNameTypeAdapter()` Creates a new adapter for an object of class '`Attribute Name Type`'
`Adapter` `createAttributeTypeAdapter()` Creates a new adapter for an object of class '`Attribute Type`'
`Adapter` `createBaseNameTypeAdapter()` Creates a new adapter for an object of class '`Base Name Type`'
`Adapter` `createBehaviorClassTypeAdapter()` Creates a new adapter for an object of class '`Behavior Class Type`'
`Adapter` `createBehaviorExtensionTypeAdapter()` Creates a new adapter for an object of class '`Behavior Extension Type`'
`Adapter` `createBehaviorIdTypeAdapter()` Creates a new adapter for an object of class '`Behavior Id Type`'
`Adapter` `createBehaviorTypeAdapter()` Creates a new adapter for an object of class '`Behavior Type`'
`Adapter` `createClientBehaviorRendererClassTypeAdapter()` Creates a new adapter for an object of class '`Client Behavior Renderer Class Type`'
`Adapter` `createClientBehaviorRendererTypeAdapter()` Creates a new adapter for an object of class '`Client Behavior Renderer Type`'
`Adapter` `createClientBehaviorRendererTypeTypeAdapter()` Creates a new adapter for an object of class '`Client Behavior Renderer Type Type`'
`Adapter` `createComponentClassTypeAdapter()` Creates a new adapter for an object of class '`Component Class Type`'
`Adapter` `createComponentExtensionTypeAdapter()` Creates a new adapter for an object of class '`Component Extension Type`'
`Adapter` `createComponentFamilyTypeAdapter()` Creates a new adapter for an object of class '`Component Family Type`'
`Adapter` `createComponentTypeAdapter()` Creates a new adapter for an object of class '`Component Type`'
`Adapter` `createComponentTypeTypeAdapter()` Creates a new adapter for an object of class '`Component Type Type`'
`Adapter` `createConverterClassTypeAdapter()` Creates a new adapter for an object of class '`Converter Class Type`'
`Adapter` `createConverterExtensionTypeAdapter()` Creates a new adapter for an object of class '`Converter Extension Type`'
`Adapter` `createConverterForClassTypeAdapter()` Creates a new adapter for an object of class '`Converter For Class Type`'
`Adapter` `createConverterIdTypeAdapter()` Creates a new adapter for an object of class '`Converter Id Type`'
`Adapter` `createConverterTypeAdapter()` Creates a new adapter for an object of class '`Converter Type`'
`Adapter` `createDefaultLocaleTypeAdapter()` Creates a new adapter for an object of class '`Default Locale Type`'
`Adapter` `createDefaultRenderKitIdTypeAdapter()` Creates a new adapter for an object of class '`Default Render Kit Id Type`'
`Adapter` `createDefaultValidatorsTypeAdapter()` Creates a new adapter for an object of class '`Default Validators Type`'
`Adapter` `createDefaultValueTypeAdapter()` Creates a new adapter for an object of class '`Default Value Type`'
`Adapter` `createDescriptionTypeAdapter()` Creates a new adapter for an object of class '`Description Type`'
`Adapter` `createDisplayNameTypeAdapter()` Creates a new adapter for an object of class '`Display Name Type`'
`Adapter` `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'
`Adapter` `createDynamicAttributeAdapter()` Creates a new adapter for an object of class '`Dynamic Attribute`'
`Adapter` `createDynamicElementAdapter()` Creates a new adapter for an object of class '`Dynamic Element`'
`Adapter` `createELResolverTypeAdapter()` Creates a new adapter for an object of class '`EL Resolver Type`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createExceptionHandlerFactoryTypeAdapter()` Creates a new adapter for an object of class '`Exception Handler Factory Type`'
`Adapter` `createExtensionTypeAdapter()` Creates a new adapter for an object of class '`Extension Type`'
`Adapter` `createExternalContextFactoryTypeAdapter()` Creates a new adapter for an object of class '`External Context Factory Type`'
`Adapter` `createFacesConfigExtensionTypeAdapter()` Creates a new adapter for an object of class '`Extension Type`'
`Adapter` `createFacesConfigTypeAdapter()` Creates a new adapter for an object of class '`Type`'
`Adapter` `createFacesContextFactoryTypeAdapter()` Creates a new adapter for an object of class '`Faces Context Factory Type`'
`Adapter` `createFacetExtensionTypeAdapter()` Creates a new adapter for an object of class '`Facet Extension Type`'
`Adapter` `createFacetNameTypeAdapter()` Creates a new adapter for an object of class '`Facet Name Type`'
`Adapter` `createFacetTypeAdapter()` Creates a new adapter for an object of class '`Facet Type`'
`Adapter` `createFactoryExtensionTypeAdapter()` Creates a new adapter for an object of class '`Factory Extension Type`'
`Adapter` `createFactoryTypeAdapter()` Creates a new adapter for an object of class '`Factory Type`'
`Adapter` `createFromActionTypeAdapter()` Creates a new adapter for an object of class '`From Action Type`'
`Adapter` `createFromOutcomeTypeAdapter()` Creates a new adapter for an object of class '`From Outcome Type`'
`Adapter` `createFromViewIdTypeAdapter()` Creates a new adapter for an object of class '`From View Id Type`'
`Adapter` `createIconTypeAdapter()` Creates a new adapter for an object of class '`Icon Type`'
`Adapter` `createIfTypeAdapter()` Creates a new adapter for an object of class '`If Type`'
`Adapter` `createKeyClassTypeAdapter()` Creates a new adapter for an object of class '`Key Class Type`'
`Adapter` `createKeyTypeAdapter()` Creates a new adapter for an object of class '`Key Type`'
`Adapter` `createLargeIconTypeAdapter()` Creates a new adapter for an object of class '`Large Icon Type`'
`Adapter` `createLifecycleExtensionTypeAdapter()` Creates a new adapter for an object of class '`Lifecycle Extension Type`'
`Adapter` `createLifecycleFactoryTypeAdapter()` Creates a new adapter for an object of class '`Lifecycle Factory Type`'
`Adapter` `createLifecycleTypeAdapter()` Creates a new adapter for an object of class '`Lifecycle Type`'
`Adapter` `createListEntriesTypeAdapter()` Creates a new adapter for an object of class '`List Entries Type`'
`Adapter` `createLocaleConfigTypeAdapter()` Creates a new adapter for an object of class '`Locale Config Type`'
`Adapter` `createManagedBeanClassTypeAdapter()` Creates a new adapter for an object of class '`Managed Bean Class Type`'
`Adapter` `createManagedBeanExtensionTypeAdapter()` Creates a new adapter for an object of class '`Managed Bean Extension Type`'
`Adapter` `createManagedBeanNameTypeAdapter()` Creates a new adapter for an object of class '`Managed Bean Name Type`'
`Adapter` `createManagedBeanScopeTypeAdapter()` Creates a new adapter for an object of class '`Managed Bean Scope Type`'
`Adapter` `createManagedBeanTypeAdapter()` Creates a new adapter for an object of class '`Managed Bean Type`'
`Adapter` `createManagedPropertyTypeAdapter()` Creates a new adapter for an object of class '`Managed Property Type`'
`Adapter` `createMapEntriesTypeAdapter()` Creates a new adapter for an object of class '`Map Entries Type`'
`Adapter` `createMapEntryTypeAdapter()` Creates a new adapter for an object of class '`Map Entry Type`'
`Adapter` `createMessageBundleTypeAdapter()` Creates a new adapter for an object of class '`Message Bundle Type`'
`Adapter` `createNameTypeAdapter()` Creates a new adapter for an object of class '`Name Type`'
`Adapter` `createNavigationCaseTypeAdapter()` Creates a new adapter for an object of class '`Navigation Case Type`'
`Adapter` `createNavigationHandlerTypeAdapter()` Creates a new adapter for an object of class '`Navigation Handler Type`'
`Adapter` `createNavigationRuleExtensionTypeAdapter()` Creates a new adapter for an object of class '`Navigation Rule Extension Type`'
`Adapter` `createNavigationRuleTypeAdapter()` Creates a new adapter for an object of class '`Navigation Rule Type`'
`Adapter` `createNullValueTypeAdapter()` Creates a new adapter for an object of class '`Null Value Type`'
`Adapter` `createOrderingOrderingTypeAdapter()` Creates a new adapter for an object of class '`Ordering Ordering Type`'
`Adapter` `createOrderingOthersTypeAdapter()` Creates a new adapter for an object of class '`Ordering Others Type`'
`Adapter` `createOrderingTypeAdapter()` Creates a new adapter for an object of class '`Ordering Type`'
`Adapter` `createPartialViewContextFactoryTypeAdapter()` Creates a new adapter for an object of class '`Partial View Context Factory Type`'
`Adapter` `createPhaseListenerTypeAdapter()` Creates a new adapter for an object of class '`Phase Listener Type`'
`Adapter` `createPropertyClassTypeAdapter()` Creates a new adapter for an object of class '`Property Class Type`'
`Adapter` `createPropertyExtensionTypeAdapter()` Creates a new adapter for an object of class '`Property Extension Type`'
`Adapter` `createPropertyNameTypeAdapter()` Creates a new adapter for an object of class '`Property Name Type`'
`Adapter` `createPropertyResolverTypeAdapter()` Creates a new adapter for an object of class '`Property Resolver Type`'
`Adapter` `createPropertyTypeAdapter()` Creates a new adapter for an object of class '`Property Type`'
`Adapter` `createRedirectTypeAdapter()` Creates a new adapter for an object of class '`Redirect Type`'
`Adapter` `createRedirectViewParamTypeAdapter()` Creates a new adapter for an object of class '`Redirect View Param Type`'
`Adapter` `createReferencedBeanClassTypeAdapter()` Creates a new adapter for an object of class '`Referenced Bean Class Type`'
`Adapter` `createReferencedBeanNameTypeAdapter()` Creates a new adapter for an object of class '`Referenced Bean Name Type`'
`Adapter` `createReferencedBeanTypeAdapter()` Creates a new adapter for an object of class '`Referenced Bean Type`'
`Adapter` `createRendererClassTypeAdapter()` Creates a new adapter for an object of class '`Renderer Class Type`'
`Adapter` `createRendererExtensionTypeAdapter()` Creates a new adapter for an object of class '`Renderer Extension Type`'
`Adapter` `createRendererTypeAdapter()` Creates a new adapter for an object of class '`Renderer Type`'
`Adapter` `createRendererTypeTypeAdapter()` Creates a new adapter for an object of class '`Renderer Type Type`'
`Adapter` `createRenderKitClassTypeAdapter()` Creates a new adapter for an object of class '`Render Kit Class Type`'
`Adapter` `createRenderKitExtensionTypeAdapter()` Creates a new adapter for an object of class '`Render Kit Extension Type`'
`Adapter` `createRenderKitFactoryTypeAdapter()` Creates a new adapter for an object of class '`Render Kit Factory Type`'
`Adapter` `createRenderKitIdTypeAdapter()` Creates a new adapter for an object of class '`Render Kit Id Type`'
`Adapter` `createRenderKitTypeAdapter()` Creates a new adapter for an object of class '`Render Kit Type`'
`Adapter` `createResourceBundleTypeAdapter()` Creates a new adapter for an object of class '`Resource Bundle Type`'
`Adapter` `createResourceHandlerTypeAdapter()` Creates a new adapter for an object of class '`Resource Handler Type`'
`Adapter` `createSmallIconTypeAdapter()` Creates a new adapter for an object of class '`Small Icon Type`'
`Adapter` `createSourceClassTypeAdapter()` Creates a new adapter for an object of class '`Source Class Type`'
`Adapter` `createStateManagerTypeAdapter()` Creates a new adapter for an object of class '`State Manager Type`'
`Adapter` `createSuggestedValueTypeAdapter()` Creates a new adapter for an object of class '`Suggested Value Type`'
`Adapter` `createSupportedLocaleTypeAdapter()` Creates a new adapter for an object of class '`Supported Locale Type`'
`Adapter` `createSystemEventClassTypeAdapter()` Creates a new adapter for an object of class '`System Event Class Type`'
`Adapter` `createSystemEventListenerClassTypeAdapter()` Creates a new adapter for an object of class '`System Event Listener Class Type`'
`Adapter` `createSystemEventListenerTypeAdapter()` Creates a new adapter for an object of class '`System Event Listener Type`'
`Adapter` `createTagHandlerDelegateFactoryTypeAdapter()` Creates a new adapter for an object of class '`Tag Handler Delegate Factory Type`'
`Adapter` `createToViewIdTypeAdapter()` Creates a new adapter for an object of class '`To View Id Type`'
`Adapter` `createValidatorClassTypeAdapter()` Creates a new adapter for an object of class '`Validator Class Type`'
`Adapter` `createValidatorExtensionTypeAdapter()` Creates a new adapter for an object of class '`Validator Extension Type`'
`Adapter` `createValidatorIdTypeAdapter()` Creates a new adapter for an object of class '`Validator Id Type`'
`Adapter` `createValidatorTypeAdapter()` Creates a new adapter for an object of class '`Validator Type`'
`Adapter` `createValueClassTypeAdapter()` Creates a new adapter for an object of class '`Value Class Type`'
`Adapter` `createValueTypeAdapter()` Creates a new adapter for an object of class '`Value Type`'
`Adapter` `createVariableResolverTypeAdapter()` Creates a new adapter for an object of class '`Variable Resolver Type`'
`Adapter` `createVarTypeAdapter()` Creates a new adapter for an object of class '`Var Type`'
`Adapter` `createViewDeclarationLanguageFactoryTypeAdapter()` Creates a new adapter for an object of class '`View Declaration Language Factory Type`'
`Adapter` `createViewHandlerTypeAdapter()` Creates a new adapter for an object of class '`View Handler Type`'
`Adapter` `createVisitContextFactoryTypeAdapter()` Creates a new adapter for an object of class '`Visit Context Factory Type`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### FacesConfigAdapterFactory

    public FacesConfigAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAbsoluteOrderingTypeAdapter

    public Adapter createAbsoluteOrderingTypeAdapter()

  Creates a new adapter for an object of class '`Absolute Ordering Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AbsoluteOrderingType`

### createActionListenerTypeAdapter

    public Adapter createActionListenerTypeAdapter()

  Creates a new adapter for an object of class '`Action Listener Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActionListenerType`

### createApplicationFactoryTypeAdapter

    public Adapter createApplicationFactoryTypeAdapter()

  Creates a new adapter for an object of class '`Application Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ApplicationFactoryType`

### createApplicationTypeAdapter

    public Adapter createApplicationTypeAdapter()

  Creates a new adapter for an object of class '`Application Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ApplicationType`

### createAttributeClassTypeAdapter

    public Adapter createAttributeClassTypeAdapter()

  Creates a new adapter for an object of class '`Attribute Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AttributeClassType`

### createAttributeExtensionTypeAdapter

    public Adapter createAttributeExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Attribute Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AttributeExtensionType`

### createAttributeNameTypeAdapter

    public Adapter createAttributeNameTypeAdapter()

  Creates a new adapter for an object of class '`Attribute Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AttributeNameType`

### createAttributeTypeAdapter

    public Adapter createAttributeTypeAdapter()

  Creates a new adapter for an object of class '`Attribute Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AttributeType`

### createBehaviorClassTypeAdapter

    public Adapter createBehaviorClassTypeAdapter()

  Creates a new adapter for an object of class '`Behavior Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BehaviorClassType`

### createBehaviorIdTypeAdapter

    public Adapter createBehaviorIdTypeAdapter()

  Creates a new adapter for an object of class '`Behavior Id Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BehaviorIdType`

### createBehaviorTypeAdapter

    public Adapter createBehaviorTypeAdapter()

  Creates a new adapter for an object of class '`Behavior Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BehaviorType`

### createBehaviorExtensionTypeAdapter

    public Adapter createBehaviorExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Behavior Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BehaviorExtensionType`

### createClientBehaviorRendererClassTypeAdapter

    public Adapter createClientBehaviorRendererClassTypeAdapter()

  Creates a new adapter for an object of class '`Client Behavior Renderer Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClientBehaviorRendererClassType`

### createClientBehaviorRendererTypeAdapter

    public Adapter createClientBehaviorRendererTypeAdapter()

  Creates a new adapter for an object of class '`Client Behavior Renderer Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClientBehaviorRendererType`

### createClientBehaviorRendererTypeTypeAdapter

    public Adapter createClientBehaviorRendererTypeTypeAdapter()

  Creates a new adapter for an object of class '`Client Behavior Renderer Type Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClientBehaviorRendererTypeType`

### createComponentClassTypeAdapter

    public Adapter createComponentClassTypeAdapter()

  Creates a new adapter for an object of class '`Component Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComponentClassType`

### createComponentExtensionTypeAdapter

    public Adapter createComponentExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Component Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComponentExtensionType`

### createComponentFamilyTypeAdapter

    public Adapter createComponentFamilyTypeAdapter()

  Creates a new adapter for an object of class '`Component Family Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComponentFamilyType`

### createComponentTypeAdapter

    public Adapter createComponentTypeAdapter()

  Creates a new adapter for an object of class '`Component Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComponentType`

### createComponentTypeTypeAdapter

    public Adapter createComponentTypeTypeAdapter()

  Creates a new adapter for an object of class '`Component Type Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComponentTypeType`

### createConverterClassTypeAdapter

    public Adapter createConverterClassTypeAdapter()

  Creates a new adapter for an object of class '`Converter Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConverterClassType`

### createConverterForClassTypeAdapter

    public Adapter createConverterForClassTypeAdapter()

  Creates a new adapter for an object of class '`Converter For Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConverterForClassType`

### createConverterIdTypeAdapter

    public Adapter createConverterIdTypeAdapter()

  Creates a new adapter for an object of class '`Converter Id Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConverterIdType`

### createConverterTypeAdapter

    public Adapter createConverterTypeAdapter()

  Creates a new adapter for an object of class '`Converter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConverterType`

### createDefaultLocaleTypeAdapter

    public Adapter createDefaultLocaleTypeAdapter()

  Creates a new adapter for an object of class '`Default Locale Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefaultLocaleType`

### createDefaultRenderKitIdTypeAdapter

    public Adapter createDefaultRenderKitIdTypeAdapter()

  Creates a new adapter for an object of class '`Default Render Kit Id Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefaultRenderKitIdType`

### createDefaultValidatorsTypeAdapter

    public Adapter createDefaultValidatorsTypeAdapter()

  Creates a new adapter for an object of class '`Default Validators Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefaultValidatorsType`

### createDefaultValueTypeAdapter

    public Adapter createDefaultValueTypeAdapter()

  Creates a new adapter for an object of class '`Default Value Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefaultValueType`

### createDescriptionTypeAdapter

    public Adapter createDescriptionTypeAdapter()

  Creates a new adapter for an object of class '`Description Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DescriptionType`

### createDisplayNameTypeAdapter

    public Adapter createDisplayNameTypeAdapter()

  Creates a new adapter for an object of class '`Display Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DisplayNameType`

### createDocumentRootAdapter

    public Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createDynamicAttributeAdapter

    public Adapter createDynamicAttributeAdapter()

  Creates a new adapter for an object of class '`Dynamic Attribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DynamicAttribute`

### createDynamicElementAdapter

    public Adapter createDynamicElementAdapter()

  Creates a new adapter for an object of class '`Dynamic Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DynamicElement`

### createELResolverTypeAdapter

    public Adapter createELResolverTypeAdapter()

  Creates a new adapter for an object of class '`EL Resolver Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ELResolverType`

### createExceptionHandlerFactoryTypeAdapter

    public Adapter createExceptionHandlerFactoryTypeAdapter()

  Creates a new adapter for an object of class '`Exception Handler Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExceptionHandlerFactoryType`

### createFacesConfigTypeAdapter

    public Adapter createFacesConfigTypeAdapter()

  Creates a new adapter for an object of class '`Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacesConfigType`

### createFacesContextFactoryTypeAdapter

    public Adapter createFacesContextFactoryTypeAdapter()

  Creates a new adapter for an object of class '`Faces Context Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacesContextFactoryType`

### createFacetExtensionTypeAdapter

    public Adapter createFacetExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Facet Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacetExtensionType`

### createFacetNameTypeAdapter

    public Adapter createFacetNameTypeAdapter()

  Creates a new adapter for an object of class '`Facet Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacetNameType`

### createFacetTypeAdapter

    public Adapter createFacetTypeAdapter()

  Creates a new adapter for an object of class '`Facet Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacetType`

### createFactoryTypeAdapter

    public Adapter createFactoryTypeAdapter()

  Creates a new adapter for an object of class '`Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FactoryType`

### createFromActionTypeAdapter

    public Adapter createFromActionTypeAdapter()

  Creates a new adapter for an object of class '`From Action Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FromActionType`

### createFromOutcomeTypeAdapter

    public Adapter createFromOutcomeTypeAdapter()

  Creates a new adapter for an object of class '`From Outcome Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FromOutcomeType`

### createFromViewIdTypeAdapter

    public Adapter createFromViewIdTypeAdapter()

  Creates a new adapter for an object of class '`From View Id Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FromViewIdType`

### createIconTypeAdapter

    public Adapter createIconTypeAdapter()

  Creates a new adapter for an object of class '`Icon Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IconType`

### createIfTypeAdapter

    public Adapter createIfTypeAdapter()

  Creates a new adapter for an object of class '`If Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IfType`

### createKeyClassTypeAdapter

    public Adapter createKeyClassTypeAdapter()

  Creates a new adapter for an object of class '`Key Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `KeyClassType`

### createKeyTypeAdapter

    public Adapter createKeyTypeAdapter()

  Creates a new adapter for an object of class '`Key Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `KeyType`

### createLargeIconTypeAdapter

    public Adapter createLargeIconTypeAdapter()

  Creates a new adapter for an object of class '`Large Icon Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LargeIconType`

### createLifecycleFactoryTypeAdapter

    public Adapter createLifecycleFactoryTypeAdapter()

  Creates a new adapter for an object of class '`Lifecycle Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LifecycleFactoryType`

### createLifecycleTypeAdapter

    public Adapter createLifecycleTypeAdapter()

  Creates a new adapter for an object of class '`Lifecycle Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LifecycleType`

### createListEntriesTypeAdapter

    public Adapter createListEntriesTypeAdapter()

  Creates a new adapter for an object of class '`List Entries Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ListEntriesType`

### createLocaleConfigTypeAdapter

    public Adapter createLocaleConfigTypeAdapter()

  Creates a new adapter for an object of class '`Locale Config Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LocaleConfigType`

### createManagedBeanClassTypeAdapter

    public Adapter createManagedBeanClassTypeAdapter()

  Creates a new adapter for an object of class '`Managed Bean Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ManagedBeanClassType`

### createManagedBeanNameTypeAdapter

    public Adapter createManagedBeanNameTypeAdapter()

  Creates a new adapter for an object of class '`Managed Bean Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ManagedBeanNameType`

### createManagedBeanScopeTypeAdapter

    public Adapter createManagedBeanScopeTypeAdapter()

  Creates a new adapter for an object of class '`Managed Bean Scope Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ManagedBeanScopeType`

### createManagedBeanTypeAdapter

    public Adapter createManagedBeanTypeAdapter()

  Creates a new adapter for an object of class '`Managed Bean Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ManagedBeanType`

### createManagedPropertyTypeAdapter

    public Adapter createManagedPropertyTypeAdapter()

  Creates a new adapter for an object of class '`Managed Property Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ManagedPropertyType`

### createMapEntriesTypeAdapter

    public Adapter createMapEntriesTypeAdapter()

  Creates a new adapter for an object of class '`Map Entries Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MapEntriesType`

### createMapEntryTypeAdapter

    public Adapter createMapEntryTypeAdapter()

  Creates a new adapter for an object of class '`Map Entry Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MapEntryType`

### createMessageBundleTypeAdapter

    public Adapter createMessageBundleTypeAdapter()

  Creates a new adapter for an object of class '`Message Bundle Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageBundleType`

### createNameTypeAdapter

    public Adapter createNameTypeAdapter()

  Creates a new adapter for an object of class '`Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NameType`

### createNavigationCaseTypeAdapter

    public Adapter createNavigationCaseTypeAdapter()

  Creates a new adapter for an object of class '`Navigation Case Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NavigationCaseType`

### createNavigationHandlerTypeAdapter

    public Adapter createNavigationHandlerTypeAdapter()

  Creates a new adapter for an object of class '`Navigation Handler Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NavigationHandlerType`

### createNavigationRuleTypeAdapter

    public Adapter createNavigationRuleTypeAdapter()

  Creates a new adapter for an object of class '`Navigation Rule Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NavigationRuleType`

### createNullValueTypeAdapter

    public Adapter createNullValueTypeAdapter()

  Creates a new adapter for an object of class '`Null Value Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NullValueType`

### createOrderingTypeAdapter

    public Adapter createOrderingTypeAdapter()

  Creates a new adapter for an object of class '`Ordering Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderingType`

### createOrderingOrderingTypeAdapter

    public Adapter createOrderingOrderingTypeAdapter()

  Creates a new adapter for an object of class '`Ordering Ordering Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderingOrderingType`

### createOrderingOthersTypeAdapter

    public Adapter createOrderingOthersTypeAdapter()

  Creates a new adapter for an object of class '`Ordering Others Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderingOthersType`

### createPartialViewContextFactoryTypeAdapter

    public Adapter createPartialViewContextFactoryTypeAdapter()

  Creates a new adapter for an object of class '`Partial View Context Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PartialViewContextFactoryType`

### createPhaseListenerTypeAdapter

    public Adapter createPhaseListenerTypeAdapter()

  Creates a new adapter for an object of class '`Phase Listener Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PhaseListenerType`

### createPropertyClassTypeAdapter

    public Adapter createPropertyClassTypeAdapter()

  Creates a new adapter for an object of class '`Property Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyClassType`

### createPropertyExtensionTypeAdapter

    public Adapter createPropertyExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Property Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyExtensionType`

### createPropertyNameTypeAdapter

    public Adapter createPropertyNameTypeAdapter()

  Creates a new adapter for an object of class '`Property Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyNameType`

### createPropertyResolverTypeAdapter

    public Adapter createPropertyResolverTypeAdapter()

  Creates a new adapter for an object of class '`Property Resolver Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyResolverType`

### createPropertyTypeAdapter

    public Adapter createPropertyTypeAdapter()

  Creates a new adapter for an object of class '`Property Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyType`

### createRedirectTypeAdapter

    public Adapter createRedirectTypeAdapter()

  Creates a new adapter for an object of class '`Redirect Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RedirectType`

### createRedirectViewParamTypeAdapter

    public Adapter createRedirectViewParamTypeAdapter()

  Creates a new adapter for an object of class '`Redirect View Param Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RedirectViewParamType`

### createReferencedBeanClassTypeAdapter

    public Adapter createReferencedBeanClassTypeAdapter()

  Creates a new adapter for an object of class '`Referenced Bean Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferencedBeanClassType`

### createReferencedBeanNameTypeAdapter

    public Adapter createReferencedBeanNameTypeAdapter()

  Creates a new adapter for an object of class '`Referenced Bean Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferencedBeanNameType`

### createReferencedBeanTypeAdapter

    public Adapter createReferencedBeanTypeAdapter()

  Creates a new adapter for an object of class '`Referenced Bean Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferencedBeanType`

### createRendererClassTypeAdapter

    public Adapter createRendererClassTypeAdapter()

  Creates a new adapter for an object of class '`Renderer Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RendererClassType`

### createRendererExtensionTypeAdapter

    public Adapter createRendererExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Renderer Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RendererExtensionType`

### createRendererTypeAdapter

    public Adapter createRendererTypeAdapter()

  Creates a new adapter for an object of class '`Renderer Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RendererType`

### createRendererTypeTypeAdapter

    public Adapter createRendererTypeTypeAdapter()

  Creates a new adapter for an object of class '`Renderer Type Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RendererTypeType`

### createRenderKitClassTypeAdapter

    public Adapter createRenderKitClassTypeAdapter()

  Creates a new adapter for an object of class '`Render Kit Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RenderKitClassType`

### createRenderKitFactoryTypeAdapter

    public Adapter createRenderKitFactoryTypeAdapter()

  Creates a new adapter for an object of class '`Render Kit Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RenderKitFactoryType`

### createRenderKitIdTypeAdapter

    public Adapter createRenderKitIdTypeAdapter()

  Creates a new adapter for an object of class '`Render Kit Id Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RenderKitIdType`

### createRenderKitTypeAdapter

    public Adapter createRenderKitTypeAdapter()

  Creates a new adapter for an object of class '`Render Kit Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RenderKitType`

### createSmallIconTypeAdapter

    public Adapter createSmallIconTypeAdapter()

  Creates a new adapter for an object of class '`Small Icon Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SmallIconType`

### createSourceClassTypeAdapter

    public Adapter createSourceClassTypeAdapter()

  Creates a new adapter for an object of class '`Source Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SourceClassType`

### createStateManagerTypeAdapter

    public Adapter createStateManagerTypeAdapter()

  Creates a new adapter for an object of class '`State Manager Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StateManagerType`

### createSuggestedValueTypeAdapter

    public Adapter createSuggestedValueTypeAdapter()

  Creates a new adapter for an object of class '`Suggested Value Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SuggestedValueType`

### createSupportedLocaleTypeAdapter

    public Adapter createSupportedLocaleTypeAdapter()

  Creates a new adapter for an object of class '`Supported Locale Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SupportedLocaleType`

### createSystemEventClassTypeAdapter

    public Adapter createSystemEventClassTypeAdapter()

  Creates a new adapter for an object of class '`System Event Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SystemEventClassType`

### createSystemEventListenerClassTypeAdapter

    public Adapter createSystemEventListenerClassTypeAdapter()

  Creates a new adapter for an object of class '`System Event Listener Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SystemEventListenerClassType`

### createSystemEventListenerTypeAdapter

    public Adapter createSystemEventListenerTypeAdapter()

  Creates a new adapter for an object of class '`System Event Listener Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SystemEventListenerType`

### createTagHandlerDelegateFactoryTypeAdapter

    public Adapter createTagHandlerDelegateFactoryTypeAdapter()

  Creates a new adapter for an object of class '`Tag Handler Delegate Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TagHandlerDelegateFactoryType`

### createToViewIdTypeAdapter

    public Adapter createToViewIdTypeAdapter()

  Creates a new adapter for an object of class '`To View Id Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToViewIdType`

### createValidatorClassTypeAdapter

    public Adapter createValidatorClassTypeAdapter()

  Creates a new adapter for an object of class '`Validator Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValidatorClassType`

### createValidatorIdTypeAdapter

    public Adapter createValidatorIdTypeAdapter()

  Creates a new adapter for an object of class '`Validator Id Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValidatorIdType`

### createValidatorTypeAdapter

    public Adapter createValidatorTypeAdapter()

  Creates a new adapter for an object of class '`Validator Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValidatorType`

### createValueClassTypeAdapter

    public Adapter createValueClassTypeAdapter()

  Creates a new adapter for an object of class '`Value Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueClassType`

### createValueTypeAdapter

    public Adapter createValueTypeAdapter()

  Creates a new adapter for an object of class '`Value Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueType`

### createVariableResolverTypeAdapter

    public Adapter createVariableResolverTypeAdapter()

  Creates a new adapter for an object of class '`Variable Resolver Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableResolverType`

### createViewHandlerTypeAdapter

    public Adapter createViewHandlerTypeAdapter()

  Creates a new adapter for an object of class '`View Handler Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ViewHandlerType`

### createResourceBundleTypeAdapter

    public Adapter createResourceBundleTypeAdapter()

  Creates a new adapter for an object of class '`Resource Bundle Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResourceBundleType`

### createBaseNameTypeAdapter

    public Adapter createBaseNameTypeAdapter()

  Creates a new adapter for an object of class '`Base Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BaseNameType`

### createVarTypeAdapter

    public Adapter createVarTypeAdapter()

  Creates a new adapter for an object of class '`Var Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VarType`

### createViewDeclarationLanguageFactoryTypeAdapter

    public Adapter createViewDeclarationLanguageFactoryTypeAdapter()

  Creates a new adapter for an object of class '`View Declaration Language Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ViewDeclarationLanguageFactoryType`

### createVisitContextFactoryTypeAdapter

    public Adapter createVisitContextFactoryTypeAdapter()

  Creates a new adapter for an object of class '`Visit Context Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VisitContextFactoryType`

### createRenderKitExtensionTypeAdapter

    public Adapter createRenderKitExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Render Kit Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RenderKitExtensionType`

### createResourceHandlerTypeAdapter

    public Adapter createResourceHandlerTypeAdapter()

  Creates a new adapter for an object of class '`Resource Handler Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResourceHandlerType`

### createNavigationRuleExtensionTypeAdapter

    public Adapter createNavigationRuleExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Navigation Rule Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NavigationRuleExtensionType`

### createValidatorExtensionTypeAdapter

    public Adapter createValidatorExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Validator Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValidatorExtensionType`

### createFacesConfigExtensionTypeAdapter

    public Adapter createFacesConfigExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacesConfigExtensionType`

### createFactoryExtensionTypeAdapter

    public Adapter createFactoryExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Factory Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FactoryExtensionType`

### createLifecycleExtensionTypeAdapter

    public Adapter createLifecycleExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Lifecycle Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LifecycleExtensionType`

### createManagedBeanExtensionTypeAdapter

    public Adapter createManagedBeanExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Managed Bean Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ManagedBeanExtensionType`

### createConverterExtensionTypeAdapter

    public Adapter createConverterExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Converter Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConverterExtensionType`

### createExtensionTypeAdapter

    public Adapter createExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExtensionType`

### createExternalContextFactoryTypeAdapter

    public Adapter createExternalContextFactoryTypeAdapter()

  Creates a new adapter for an object of class '`External Context Factory Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExternalContextFactoryType`

### createApplicationExtensionTypeAdapter

    public Adapter createApplicationExtensionTypeAdapter()

  Creates a new adapter for an object of class '`Application Extension Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ApplicationExtensionType`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.